{
    "path": "$OET_PATH/testcases/function_test/pkg_test/cpp-httplib/cpp-httplib",
    "machine num": 1,
    "cases": [
        {
            "name": "test_cpp-httplib_install_package",
            "desc": "测试cpp-httplib软件包的安装功能，验证安装过程是否成功完成",
            "machine num": 1
        },
        {
            "name": "test_cpp-httplib_uninstall_package",
            "desc": "测试cpp-httplib软件包的卸载功能，验证卸载过程是否成功完成",
            "machine num": 1
        },
        {
            "name": "test_cpp-httplib_rollback_package",
            "desc": "测试cpp-httplib软件包的回滚功能，验证回滚过程是否成功完成",
            "machine num": 1
        },
        {
            "name": "test_cpp-httplib_function_httpget",
            "desc": "测试cpp-httplib的HTTP GET请求功能，验证请求是否成功返回预期数据"
        }
    ]
}